🔌 API Documentation

Developer guide for integration with external applications

Authentication (Authentication)

All API requests must include API Token which you can generate from your account settings

Sending Method

You can send the token in the header or as a query parameter

1. Via Header (Recommended)

Authorization: Bearer YOUR_API_TOKEN

2. Via Query Parameter

GET https://www.oxgnpanel.com/api/v1/profile?api_token=YOUR_API_TOKEN

Endpoints (Endpoints)

GET /api/v1/profile
Account Information

Get current user's basic information.

Response Example (JSON):
{
          "status": "success",
          "data": {
            "id": 1,
            "name": "User Name",
            "email": "user@example.com",
            "role": "user",
            "created_at": "2024-01-01T00:00:00.000000Z"
          }
        }
GET /api/v1/plans
Capital Management Plans

Get a list of all user's capital management plans.

Response Example (JSON):
{
          "status": "success",
          "count": 2,
          "data": [
            {
              "id": 10,
              "name": "My Growth Plan",
              "start_capital": 5000,
              "current_capital": 5200,
              "start_date": "2024-01-01"
            }
          ]
        }

Rate Limiting (Rate Limiting)

All requests are monitored and linked to your account. In case of excessive usage, your API key may be temporarily suspended.